Region color problems.

In my drawaing, I have a region with orange color. When I embed another region with brown color on it, I see the orange diagnol (hatch) lines
behind the brown region when I resize the drawing. How can I avoide this.
Thanks. Raj
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
In my drawaing, I have a region with orange color. When I embed another region with brown color on it, I see the orange diagnol (hatch) lines behind the brown region when I resize the drawing. How can I avoide this.
Thanks. Raj
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
I've had that happening with some architectural drawings. DRAWORDER works well, as well as moving the offending hatch down in the Z axis (the first is way more easy to deal with down the line...) in fact, ignore my second idea. I would press backspace to erase it, but it's more fun letting you in on my line of thought. I'm hungry.
I wrote a lisp that presses all hatches to the back, and brings all dimensions and leader lines to the front. Here ya go. It won't actually resolve your problem, but gives you an idea of how to deal with similar situations. Just change ((0 . "HATCH")) for ((0 . "REGION"))
Cheers
Dr Fleau
Now where's my Johnny Cash CD ?
;;; ;;; HATCHBACK.LSP ;;; ;;; Pierre Marcotte 18/02/2003 ;;; ;;; Ramasse les entits "HATCH" et les mets ;;; l'arrire de toutes les autres lignes, et ;;; amne les LEADER l'avant pour ;;; un affichage net et clair.
(DEFUN c:hatchback (/ hatchentdata leaderentata) (SETVAR "cmdecho" 0) ;; ------------Gets all HATCH entities---------------- (SETQ hatchentdata (SSGET "X" '((0 . "HATCH")))) (IF (AND (NOT (/= (GETVAR "TILEMODE") 0)) (= NIL hatchentdata) ) ;_end AND (progn (PRINC "\n You are not in ModelSpace. Try again." ) (princ) ) ;_end PROGN (if (/= nil hatchentdata) (progn ;; Sets the hatch entities to the back (COMMAND "_draworder" hatchentdata "" "B") ;; ------------Gets all LEADER ;; entities----------- (SETQ leaderentata (SSGET "X" '((0 . "LEADER")))) ;; Sets the leaders to the front (COMMAND "_draworder" leaderentata "" "F") ) (princ "\n No HATCH found. ") )
) ;_end IF
(PRINC) ) ;_ end DEFUN

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Thanks Dr Fleau for sharing your knowledge and thoughts.
I figured that if I do the rendering using the Accurender then these hatches will go away in the final drawing. So I am not desperate now to avoid these.
Regards. Raj
Dr Fleau wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.